summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorGeorgy Yakovlev <gyakovlev@gentoo.org>2020-09-17 00:09:28 -0700
committerGeorgy Yakovlev <gyakovlev@gentoo.org>2020-09-17 00:11:56 -0700
commit514356ac69f2f9f622af3af2f4ff09b895ef738e (patch)
treebb0aabfacbcaf3b82ef4711a3c6d2e54e7d00137
parentapp-eselect/eselect-java: bump to 0.4.1 (diff)
downloadgentoo-514356ac69f2f9f622af3af2f4ff09b895ef738e.tar.gz
gentoo-514356ac69f2f9f622af3af2f4ff09b895ef738e.tar.bz2
gentoo-514356ac69f2f9f622af3af2f4ff09b895ef738e.zip
dev-java/openjdk: add ~arm64 keyword and port
Also make build system respect CC CXX vars Bug: https://bugs.gentoo.org/686064 Package-Manager: Portage-3.0.7, Repoman-3.0.1 Signed-off-by: Georgy Yakovlev <gyakovlev@gentoo.org>
-rw-r--r--dev-java/openjdk/Manifest8
-rw-r--r--dev-java/openjdk/openjdk-8.265_p01.ebuild50
2 files changed, 45 insertions, 13 deletions
diff --git a/dev-java/openjdk/Manifest b/dev-java/openjdk/Manifest
index e5d12e87686..900df8be9c6 100644
--- a/dev-java/openjdk/Manifest
+++ b/dev-java/openjdk/Manifest
@@ -1,5 +1,13 @@
DIST openjdk-11.0.8_p10.tar.bz2 91141175 BLAKE2B eeef0f6b6a8f804e043cde01de256c86ed35d5a391588100caea49c8c2b617c3f06aa37df894feaa89734e68c32fe28d8bc5337755050c457d657cf88fcff7f3 SHA512 f8fd26a11cb044197d3b04a1347e27e177e79cb58436e67116f63025a2a5c39c0083ac17362e7d2234caf89df530422ead088e3fc4546f8d9f68482fc75eb7a0
DIST openjdk-8.265_p01.tar.bz2 456095 BLAKE2B 8de4d0293f3062583654da99a29d5be02197c323772f663d37ab21bdfdf32a723412d301094e6f70cbba99883241f52406a799a91c3d7c2a69ab7b35932c0a38 SHA512 686b869f9278462c6cb52036c4c9261e1689b917ce0afd4e6b47bb3d3207b2e79b2d03c2d3808a5853ab2fa070ac2206877849f5837282cb6deb80f610ba67f5
+DIST openjdk-aarch64-shenandoah-8.265_p01.tar.bz2 461443 BLAKE2B 169cc30062efd93e93a16c909494d5817e3f6108ed22d4cb09f618732b990091a47c1149fff0f3e5657c2e21443d357e5d11091ef1d4f8eb61a14bcc35d74951 SHA512 b85714731f9a102585308d2df5b271243b523daa7541635f5d4a22e7322890bc024f8abafbacbd1885c07cec479e00b5edb936936fcfefcfe0f6e2e6e2211689
+DIST openjdk-aarch64-shenandoah-corba-8.265_p01.tar.bz2 1050861 BLAKE2B 6803ee3ad1e3804cec3a1008f38538d793b2ae4f0a3c22d48d3c9885af37f4baf2ba94b91824e2e2bb170a5c9a59b28edc5d0c94646fd6265fe2b32fad759cb7 SHA512 859afe2ef587f7151a1fce4a43617a3afa0d8b9e04a07332c8a412b1b8deba4e00d7676cf1579cb2a8a18a307d094d22938ea9a3d70acb9094e268e701c35982
+DIST openjdk-aarch64-shenandoah-hotspot-8.265_p01.tar.bz2 8757379 BLAKE2B aefc9c9b9f5a369db14cc5a22ea54373518daf594b794f74533ea4365416b8adc91cdd6c79934d93f5e0f019d7b07723630f849ab93464d7416d15de54a5c65e SHA512 3f44dadc5a5d9a75d4b6b632991b9fbbcae499e19139e1d902f8f2df101141060bc063996e995b22c462c76962b1312e719495eae99b392da3080c7d875deae5
+DIST openjdk-aarch64-shenandoah-jaxp-8.265_p01.tar.bz2 2696501 BLAKE2B 1b1a459a4400d78c7921593a173059156b53a2cfc5fce695571e5c827bf609c08e02accdd56e1585723d50d93cae6ed0b5cef91f7597de21a16daa9b951046c5 SHA512 a377505e17299ba8fdd9e24fb9d3f786f1e6288e485319f2accf6abe9be957814ceb08c14867839bfd29690e91afb70f2aadfd9cc43db81e924960275792d61c
+DIST openjdk-aarch64-shenandoah-jaxws-8.265_p01.tar.bz2 2556505 BLAKE2B 70a963e625b04717a7dfd8f913d8dad20158abb1c7d5ea474c53692181d5ba099c9c6ebec0efa28d6732275d02380fda613ba446f854052476fdb2b8cd80fbaf SHA512 db06c192bc6b753209870dddf43d896444a1dddb0f04ddec6ec4317034cf8b33173ccfeb6e50f18f76d6f28eb93ca08d8fade299416d3ed2ccb9d65e03d867f4
+DIST openjdk-aarch64-shenandoah-jdk-8.265_p01.tar.bz2 48064316 BLAKE2B 9623b5ea954dfd4c732b35683f859bdfe823e8fe3697f859e73c220e2931e2047271a6382c096d29bd357c5b9f681ce85053cd349c44332db77a53232f56e748 SHA512 9b90dc0d1e7ba0215628687d0594f2e1316bd190b4ff20b22cf0d20269180a160e46810c7ad2bca43603283d3140567a1cd2a1c222a6ffc8c4bc413ae4da5347
+DIST openjdk-aarch64-shenandoah-langtools-8.265_p01.tar.bz2 2396374 BLAKE2B 0aeb7c979824773a7de1ff3ae5f0b47ee965011ff29144a1ff83b84f33bfbfe850bea32aaede1ac174ee9d6850a5bfb88c194db7e4a10b6c800716d854871fb8 SHA512 f97b21a5e369239b11ccb122b6256f1b71edec3cbc6d41c0bd90c43b67126846917c795ba2e954a62d72285b50d9bfa74748488a95c2d51aacebe78575ffd833
+DIST openjdk-aarch64-shenandoah-nashorn-jdk8.265_p01.tar.bz2 2831216 BLAKE2B 02eb3f916feacaf32feb75e4c3a6bb8915e4247dd07bfd3085feb6575c5152c41d0bef46bf51a8465a2555990a7f63315d61e1733d2f36a09293ec8bab30330d SHA512 610b99e04e0afe3fa78907af20d6d297896b9ab7cfbb5bddeefeb2301e733078b147c1d547cb5c3cb08b6f208acfdbf3559ba561b8a3907cf2c6506bb7daf08e
DIST openjdk-corba-8.265_p01.tar.bz2 1034140 BLAKE2B 4b176bf2d9ff461b5682ad7f4b994091acf017df2caabf292dcda9baa34abd7d8016f56f2aff0866508eac565f4079e6f8ba8cbd8167abf1e38cd1fac727e141 SHA512 d92b69ab33176c29c5b7c0a5a21947d5d28dafa32a5933414bea5d16d4e68e1a381b2a73114952d507e7ee76c132e70dc8234175edfd3a086c4775417eaa7d9a
DIST openjdk-hotspot-8.265_p01.tar.bz2 8204133 BLAKE2B 3c574da38c9c787e2b40dafa6d7885f9632804a158de26fb4e6f9b5266c955adad8adb1917043eecba97fbb1e53c063da08231e806f5ba8f6c0ef762e88c45b6 SHA512 a3fbc527456aeb8566db24f910e6a64f976e3434fe3717058ee91e66e88d03d77641d342801002f7fa35fb8bb94ce397c95ac2abb86c0616ff25f167878b478b
DIST openjdk-jaxp-8.265_p01.tar.bz2 2735823 BLAKE2B 84a1248b4eb56f4afff62c5dc0f3517c98a6dc5c7e434012c667d59f05a1719372f68594d9d6b13c04e98887913a01b05eefcdadb3a028275555b2a9720502ba SHA512 d0f9da699d4141fa5535abbdf244b4da0fd466b8b5eca3fcaa7cc739326d79a5aa5ffac90988f8bedb39f80d7d4f1feaac3cf5fb1b019203cc96eae9746d9bbc
diff --git a/dev-java/openjdk/openjdk-8.265_p01.ebuild b/dev-java/openjdk/openjdk-8.265_p01.ebuild
index df934d0962a..cc033b9fde9 100644
--- a/dev-java/openjdk/openjdk-8.265_p01.ebuild
+++ b/dev-java/openjdk/openjdk-8.265_p01.ebuild
@@ -9,25 +9,41 @@ inherit check-reqs eapi7-ver flag-o-matic java-pkg-2 java-vm-2 multiprocessing p
# as _p component of the gentoo version string.
MY_PV=$(ver_rs 1 'u' 2 '-' ${PV%_p*}-ga)
+MY_PN_AARCH64="${PN}-aarch64-shenandoah"
+MY_PV_AARCH64="$(ver_rs 1 'u' 2 '-' ${PV/_p/-b})"
+MY_P_AARCH64="${MY_PN_AARCH64/#${PN}-}-jdk${MY_PV_AARCH64}"
BASE_URI="https://hg.${PN}.java.net/jdk8u/jdk8u"
+AARCH64_URI="https://hg.${PN}.java.net/aarch64-port/jdk8u-shenandoah"
DESCRIPTION="Open source implementation of the Java programming language"
HOMEPAGE="https://openjdk.java.net"
SRC_URI="
- ${BASE_URI}/archive/jdk${MY_PV}.tar.bz2 -> ${P}.tar.bz2
- ${BASE_URI}/corba/archive/jdk${MY_PV}.tar.bz2 -> ${PN}-corba-${PV}.tar.bz2
- ${BASE_URI}/hotspot/archive/jdk${MY_PV}.tar.bz2 -> ${PN}-hotspot-${PV}.tar.bz2
- ${BASE_URI}/jaxp/archive/jdk${MY_PV}.tar.bz2 -> ${PN}-jaxp-${PV}.tar.bz2
- ${BASE_URI}/jaxws/archive/jdk${MY_PV}.tar.bz2 -> ${PN}-jaxws-${PV}.tar.bz2
- ${BASE_URI}/jdk/archive/jdk${MY_PV}.tar.bz2 -> ${PN}-jdk-${PV}.tar.bz2
- ${BASE_URI}/langtools/archive/jdk${MY_PV}.tar.bz2 -> ${PN}-langtools-${PV}.tar.bz2
- ${BASE_URI}/nashorn/archive/jdk${MY_PV}.tar.bz2 -> ${PN}-nashorn-${PV}.tar.bz2
+ !arm64? (
+ ${BASE_URI}/archive/jdk${MY_PV}.tar.bz2 -> ${P}.tar.bz2
+ ${BASE_URI}/corba/archive/jdk${MY_PV}.tar.bz2 -> ${PN}-corba-${PV}.tar.bz2
+ ${BASE_URI}/hotspot/archive/jdk${MY_PV}.tar.bz2 -> ${PN}-hotspot-${PV}.tar.bz2
+ ${BASE_URI}/jaxp/archive/jdk${MY_PV}.tar.bz2 -> ${PN}-jaxp-${PV}.tar.bz2
+ ${BASE_URI}/jaxws/archive/jdk${MY_PV}.tar.bz2 -> ${PN}-jaxws-${PV}.tar.bz2
+ ${BASE_URI}/jdk/archive/jdk${MY_PV}.tar.bz2 -> ${PN}-jdk-${PV}.tar.bz2
+ ${BASE_URI}/langtools/archive/jdk${MY_PV}.tar.bz2 -> ${PN}-langtools-${PV}.tar.bz2
+ ${BASE_URI}/nashorn/archive/jdk${MY_PV}.tar.bz2 -> ${PN}-nashorn-${PV}.tar.bz2
+ )
+ arm64? (
+ ${AARCH64_URI}/archive/${MY_P_AARCH64}.tar.bz2 -> ${MY_PN_AARCH64}-${PV}.tar.bz2
+ ${AARCH64_URI}/corba/archive/${MY_P_AARCH64}.tar.bz2 -> ${MY_PN_AARCH64}-corba-${PV}.tar.bz2
+ ${AARCH64_URI}/hotspot/archive/${MY_P_AARCH64}.tar.bz2 -> ${MY_PN_AARCH64}-hotspot-${PV}.tar.bz2
+ ${AARCH64_URI}/jaxp/archive/${MY_P_AARCH64}.tar.bz2 -> ${MY_PN_AARCH64}-jaxp-${PV}.tar.bz2
+ ${AARCH64_URI}/jaxws/archive/${MY_P_AARCH64}.tar.bz2 -> ${MY_PN_AARCH64}-jaxws-${PV}.tar.bz2
+ ${AARCH64_URI}/jdk/archive/${MY_P_AARCH64}.tar.bz2 -> ${MY_PN_AARCH64}-jdk-${PV}.tar.bz2
+ ${AARCH64_URI}/langtools/archive/${MY_P_AARCH64}.tar.bz2 -> ${MY_PN_AARCH64}-langtools-${PV}.tar.bz2
+ ${AARCH64_URI}/nashorn/archive/${MY_P_AARCH64}.tar.bz2 -> ${MY_PN_AARCH64}-nashorn-jdk${PV}.tar.bz2
+ )
"
LICENSE="GPL-2"
SLOT="$(ver_cut 1)"
-KEYWORDS="amd64 ppc64 x86"
+KEYWORDS="amd64 ~arm64 ppc64 x86"
IUSE="alsa debug cups doc examples headless-awt +jbootstrap +pch selinux source"
COMMON_DEPEND="
@@ -73,8 +89,6 @@ DEPEND="
)
"
-S="${WORKDIR}/jdk${SLOT}u-jdk${MY_PV}"
-
# The space required to build varies wildly depending on USE flags,
# ranging from 2GB to 16GB. This function is certainly not exact but
# should be close enough to be useful.
@@ -106,16 +120,23 @@ pkg_setup() {
java-pkg-2_pkg_setup
}
+src_unpack() {
+ default
+ mv -v "jdk${SLOT}u"* "${S}" || die
+}
+
src_prepare() {
default
- chmod +x configure || die
local repo
for repo in corba hotspot jdk jaxp jaxws langtools nashorn; do
- ln -s ../"${repo}-jdk${MY_PV}" "${repo}" || die
+ mv -v ../"${repo}-"* "${repo}" || die
done
+
# new warnings in new gcc https://bugs.gentoo.org/685426
sed -i '/^WARNINGS_ARE_ERRORS/ s/-Werror/-Wno-error/' \
hotspot/make/linux/makefiles/gcc.make || die
+
+ chmod +x configure || die
}
src_configure() {
@@ -128,6 +149,8 @@ src_configure() {
# Work around -fno-common ( GCC10 default ), bug #706638
append-flags -fcommon
+ tc-export_build_env CC CXX PKG_CONFIG STRIP
+
local myconf=(
--disable-ccache
--enable-unlimited-crypto
@@ -162,6 +185,7 @@ src_configure() {
unset _JAVA_OPTIONS JAVA JAVA_TOOL_OPTIONS JAVAC XARGS
CFLAGS= CXXFLAGS= LDFLAGS= \
CONFIG_SITE=/dev/null \
+ CONFIG_SHELL="${EPREFIX}/bin/bash"
econf "${myconf[@]}"
)
}